# Run tests in check section
%bcond_without check

%global goipath         github.com/shurcooL/httpgzip
%global commit          320755c1c1b0484e6179c9a5b68aabcc0dae5ac2

%gometa

%global common_description %{expand:
httpgzip provides net/http-like primitives that use gzip compression 
when serving HTTP requests.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Version:        0
Release:        %mkrel 2
Summary:        net/http-like primitives with gzip compression for serving HTTP requests
Group:          Development/Other
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
BuildArch:      noarch

BuildRequires: golang(golang.org/x/net/http/httpguts)

%description
%{common_description}

%gopkg

%prep
%goprep

%install
%gopkginstall

%if %{with check}
%check
%gochecks
%endif

%gopkgfiles



%changelog
* Wed Mar 23 2022 umeabot <umeabot> 0-2.mga9
+ Revision: 1822002
- Mageia 9 Mass Rebuild

* Sun Nov 21 2021 guillomovitch <guillomovitch> 0-1.mga9
+ Revision: 1758440
- new git snapshot

* Sun Aug 30 2020 joequant <joequant> 0-0.2.mga8
+ Revision: 1619954
- fix build

* Sun Nov 25 2018 pterjan <pterjan> 0-0.1.mga7
+ Revision: 1334427
- imported package golang-github-shurcool-httpgzip


* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.3.gitb1c53ac
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Jul 06 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.2.20180706gitb1c53ac
- Bump to commit b1c53ac65af9fd3d354d6f9ad30a0cca35e173ed

* Sat Mar 24 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0-0.1.20180417gitd78e9b0
- First package for Fedora

